# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-yenc
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-module-yenc
Version:        0.3
Release:        alt1_13
Summary:        yEnc Module for Python
Group:          Development/Python
License:        GPLv2+
URL:            http://www.hellanzb.com/trac/
Source0:        http://www.hellanzb.com/hellanzb-content/yenc-%{version}.tar.gz
# Fix some minor bugs (#800187):
Patch0:         python-yenc-0.3-fixes.diff
BuildRequires:  python-devel
BuildRequires:  python-module-distribute
Source44: import.info

%description
python-yenc is a yEnc decoding library for Python. yEnc is a
binary-to-text encoding scheme for transferring binary files
in messages on Usenet or via e-mail.


%prep
%setup -q -n yenc-%{version}
%patch0 -p1


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build


%install
%{__python} -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root $RPM_BUILD_ROOT
chmod g-w $RPM_BUILD_ROOT/%{python_sitelibdir}/_yenc.so


%check
PYTHONPATH="$PYTHONPATH:$RPM_BUILD_ROOT/%{python_sitelibdir}" %{__python} test/test.py

 
%files
%doc README TODO COPYING
%{python_sitelibdir}/*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_13
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_12
- initial fc import

